Ubuntu 12.04 LTS - Fehler beim Update

Dabei seit
Jan. 2008
Beiträge
626
#1
Hallo zusammen,

ich bekomme, wenn ich meinen Server aktualisieren möchte immer eine Fehlermeldung:

Code:
E: Sperrdatei /var/lib/dpkg/lock konnte nicht geöffnet werden - open (13: Keine Berechtigung)
E: Sperren des Administrationsverzeichnisses (/var/lib/dpkg/) nicht möglich, sind Sie root?
Ich führe hierbei folgenden Befehl aus:

sudo apt-get update && apt-get dist-upgrade && apt-get autoclean

Wenn ich die Befehle jedoch einzeln ausführe, dann ist alles soweit erfolgreich.
- Pakeinformationen holen
- Paketliste lesen
- ggf. download
- ggf. aufräumen

Was kann hier schieflaufen? Jemand eine Idee?
 
Dabei seit
Apr. 2010
Beiträge
2.021
#2
Hi,

du musst auch vor dem 2. und 3. apt-get nach dem && jeweils ein sudo schreiben :=)

&& ermöglicht doch nur 3 Zeilen in eine zu fassen ... einzeln brauchst du die sudo ja auch.

Gruß,
d2boxSteve
 
Top